From a857c32d402fbfd471d3953524934794cde42407 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 26 2020 00:27:25 +0000
Subject: [PATCH 1551/2232] Public deleted Opaque special members to resolve modernize-use-equals-delete


    include/cxx.h:303:3: warning: deleted member function should be public [modernize-use-equals-delete]
      Opaque() = delete;
      ^
    include/cxx.h:304:3: warning: deleted member function should be public [modernize-use-equals-delete]
      Opaque(const Opaque &) = delete;
      ^
    include/cxx.h:305:3: warning: deleted member function should be public [modernize-use-equals-delete]
      ~Opaque() = delete;
      ^

---

diff --git a/include/cxx.h b/include/cxx.h
index 0632f22..064d51f 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -300,6 +300,7 @@ std::ostream &operator<<(std::ostream &, const Str &);
 #define CXXBRIDGE1_RUST_OPAQUE
 // Base class of generated opaque Rust types.
 class Opaque {
+public:
   Opaque() = delete;
   Opaque(const Opaque &) = delete;
   ~Opaque() = delete;

